De Lightroom 2.x vers Gallery 2

Voilà quelques semaines que Lightroom 2.1 est  disponible.J’avais commencé à faire évoluer mon module d’export pour prendre en compte les nouveautés de l’API de Lightroom 2 et corriger un bug lié à des modifications du fonctionnement de cette API.

Il me restait à corriger quelques problèmes liés au foncitonnement du gestionnaire de plugin, et j’espérais que la 2.1 apporterait des corrections me permettant de terminer le travail.

Pas de chance, la 2.1 se comporte comme la 2.0 et il me reste 2 petits bugs à corriger… Seulement, voilà, il est quasiment impossible d’obtenir de l’assistance de la part d’Adobe sur le fonctionnement de l’API. Pour éviter de pénaliser tout le monde, j’ai publié une version Beta 2 du ce module qui permettra à tous les utilisateurs de ce module sous Lightroom 2 de ne plus rencontrer le problème d’erreur à la ligne 39 🙂

Seul l’activation du logging et quelques détails esthétiques ne sont pas terminés. J’espère encore avoir un contact auprès d’Adobe qui pourra me permettre de terminer cette version. En attendant, profitez de la Beta, elle est suffisamment avancée pour vous permettre de l’utiliser en toute quiétude.

3 commentaires

  1. Je regrette presque d’utiliser Aperture… le seul plugin d’export vers Gallery n’est pas maintenu, et il est defaillant…

  2. Salut !

    Merci encore pour ce plugin que j’utilise très régulièrement.
    J’ai réinstallé mon PC la semaine passée et rencontre malheureusement un problème avec ce plugin.
    Lorsque j’essaye de me connecter au serveur, je reçois l’erreur suivante :

    Une erreur interne s’est produite : [string « GalleryRemoteProtocol.lua »]:134: attempt to concatenate local ‘response’ (a nil value)

    J’ai maintenant Lightroom 2.2 (sous XP); cela peut-il être la source du problème ?

    Merci d’avance

Laisser un commentaire

Votre adresse de messagerie ne sera pas publiée. Les champs obligatoires sont indiqués avec *